      parameter(maxv=30000,maxm=10000,maxs=500,mopt=400,mten=20,
     *    maxe=maxs,maxf=30,maxb=10,maxc=100,mxs=2000,maxel=90000,
     *    maxius=20,iscal=10,ircnd=20,pi2=0.017453292,
     *    pars=1.e-6,maxcs=maxc*48)
      character*30 cond(maxc)
      common/data1/ih(maxv,3),ih2(maxm,maxs,4),jmod(maxm,2),
     *             ih3(maxe,4),ifl(mopt),jflag(mopt,maxf),
     *             ih6(mopt,maxb,3),ih7(maxb,3),ihd(mopt,2,3),
     *             nb(mopt),icond(mopt),ncond(mopt),itype(mopt,maxc),
     *             jcn(maxc),jhw(mopt,3),ilim(mopt,5),iw(mopt),
     *             ihkl(mopt,mten,3),nt(mopt,mten),nhkl(mopt),
     *             iand(mopt),nf1(mopt,3),itra(mopt,2),isca(mopt),
     *             isig(mopt),isi(mopt),iom(mopt),ihg(mxs,3),iboot,
     *             nvect,icn,nc1,ictt,icrt,isfl,isis,isi2,isi3,
     *             nfg,iomt,isho,imat(3,3,mopt),iris(mopt),iin(mopt),
     *             isnte(iscal),js,ifsig,ids,kord,nfgi,nfgg,nft1,nft2,
     *             ishc,icp,icpt,inc(maxc),finp(maxc),jand2,neqt,jefl,
     *             ivft(maxm,2),jet,nsele(mopt),isele(mopt,maxe),nsq,
     *             iself(maxe),iasel(mopt),igse(mopt),nself,iops,nsqt,
     *             ipeq(mopt),icfi(mopt,2),iceq(mopt),ilist(mopt),
     *             ipli,ierr,iustar(mopt),ius,ipoint(mopt,3),ipon(3),
     *             icentro(mopt),icsog(mopt),iicen,icnum,nsear(mopt),
     *             jhsear(mopt,maxc,3),ihsn(maxcs,3),nsfin,
     *             iprs(mopt),iwsh(mopt),icnold,incof(mopt),
     *             lcon(mopt),lfact(mopt,3),lmod(mopt),lact(4),
     *             nus(mopt),nur(mopt),jindex(mopt,maxius),idbg,
     *             junum(mopt,maxius),juv(mopt,maxius,maxius),
     *             mer(mopt),menum(mopt),mefile(mopt,5),nutr(mopt),
     *             itex,ntex,ifex
c
      common/data2/fh(maxv),sh(maxv),apar(7),ap(7),th(mopt,2),
     *             ajmod(maxm),perc(mopt),ct1(mopt),rclt,rsif1,rsif2,
     *             fscal1,ainc(mopt),fhg(mxs),dinc,ainte(iscal),
     *             asnte(iscal,2),stll(mopt,2),str(mopt,2,maxius),
     *             tex(maxius,2)
c
      data (cond(i),i=1,ircnd) /' h+k+l even ',' h or k or l = 4n ',
     * ' h or k or l = 2n ',' 0kl: k,l = 2n',' hhl: 2h+l = 4n ',
     * ' h00: h = 4n ',' -h+k+l = 3n ',' 00l: l = 6n ',
     * ' 0kl, h(-h)l: l = 2n, h+l = 3n ',' hk0: h+k=2n ',
     * ' 0kl: k+l=2n ',' hhl: l=2n ',' 00l: l=2n ',' h00: h=2n ',
     * ' h + k = 2n ',' h0l: h=2n ',' h0l: l=2n ',' 0k0: k=2n ',
     * ' h+k, h+l, k+l even',' h(-h)l: l = 2n ' /
c
c
c
c  Parameters:
c  - maxel (current value 90000): max. number of vectors in the whole data
c          collection;
c  - maxv  (curr. value 30000): max. number of vectors in DUMMY.INP;
c  - maxm  (curr. value 10000): max. number of groups handled by the program;
c  - maxs  (curr. value 500): max. number of vectors in each star;
c  - mopt  (curr. value 400): max. number of keywords in INFO.INP;
c  - mten  (curr. value 20): max. number of vectors retained concerning the
c          ELIM card;
c  - maxe  (curr. value 500): same as maxs;
c  - maxf  (curr. value 30): number of internal flags used by the program
c          (don't change it!);
c  - maxb  (curr. value 10): dimension of 'service vectors' (don't change);
c  - maxc  (curr. value 100): max. number of special conditions that can be
c          implemented in the program;
c  - mxs   (curr. value 2000): max. number of stored reflections for
c          sigma evaluation;
c  - maxius (curr. value 20): max number of conditions in USRC;
c  - iscal (curr. value 10): max. number of points in histograms (don't
c          change it!).
c  - ircnd (curr. value 20): effective number of special refl. conditions
c
c
c   User can change some of the parameters in order to reduce the memory
c   requirements of the program or, instead, allowing the analysis of larger
c   data collections.
c